summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--lib/blinqpage.cpp2
-rwxr-xr-xpatches/update-and-patch-chromium.sh24
2 files changed, 25 insertions, 1 deletions
diff --git a/lib/blinqpage.cpp b/lib/blinqpage.cpp
index 6050280ed..5efe531f3 100644
--- a/lib/blinqpage.cpp
+++ b/lib/blinqpage.cpp
@@ -30,7 +30,7 @@
#include "content/common/view_messages.h"
#include "content/common/gpu/gpu_messages.h"
#include "content/shell/shell_browser_context.h"
-#include "content/shell/shell_main_delegate.h"
+#include "content/shell/app/shell_main_delegate.h"
#include "content/shell/shell_content_browser_client.h"
#include "content/browser/web_contents/web_contents_impl.h"
#include "content/browser/renderer_host/render_view_host_factory.h"
diff --git a/patches/update-and-patch-chromium.sh b/patches/update-and-patch-chromium.sh
new file mode 100755
index 000000000..a24d4d614
--- /dev/null
+++ b/patches/update-and-patch-chromium.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Script used temporarily to invoke gclient and apply our patches
+
+if [[ -z $CHROMIUM_SRC_DIR || ! -d $CHROMIUM_SRC_DIR ]]; then
+ echo "CHROMIUM_SRC_DIR not set or pointing to a non existing directory."
+ exit 1;
+fi
+
+PATCH_DIR=$PWD
+DEPOT_TOOLS=$CHROMIUM_SRC_DIR/../depot_tools
+
+cd $CHROMIUM_SRC_DIR
+echo "Entering $PWD"
+$DEPOT_TOOLS/gclient revert
+$DEPOT_TOOLS/gclient sync
+
+echo "Applying patches..."
+git am $PATCH_DIR/0001-My-local-fixes.patch
+git am $PATCH_DIR/0001-Temporary-patch-add-some-Qt-member-functions-to-Rend.patch
+
+cd tools/gyp
+echo "Entering $PWD"
+
+git am $PATCH_DIR/0001-GYP-Fix-build-with-toplevel-dir.patch